Bug 1573290

Summary: FFU: After upgrading OSP11 -> OSP12, 'openstack compute service list' contains unexpected output
Product: Red Hat OpenStack Reporter: Randy Rubins <rrubins>
Component: instack-undercloudAssignee: Lukas Bezdicka <lbezdick>
Status: CLOSED WONTFIX QA Contact: Arik Chernetsky <achernet>
Severity: medium Docs Contact:
Priority: medium    
Version: 12.0 (Pike)CC: aschultz, augol, ccamacho, dparkes, dsorrent, jpretori, lbezdick, lyarwood, mandreou, mburns, sgolovat, vcojot
Target Milestone: zstreamKeywords: FutureFeature, Triaged, ZStream
Target Release: 12.0 (Pike)   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-08-26 10:28:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Randy Rubins 2018-04-30 18:55:15 UTC
Description of problem:
After successfully upgrading undercloud from OSP10 to OSP11, we can confirm that 'openstack compute service list' contains an active nova-cert service.
But after a successful upgrade from OSP11 to OSP12, we see that nova-cert is in status 'enabled', state 'down'.  If the service was deprecated in OSP12, it should probably be removed as a part of undercloud upgrade.

Also, duplicate entries are observed in the output with the same IDs and 'Updated at' time stamps (see below).

Version-Release number of selected component (if applicable):

Standard OSP12 undercloud upgraded from 10 to 11 to 12 as a part of FFU workflow.

How reproducible:

Upgrade undercloud from OSP11 to OSP12.

Steps to Reproduce:
1.
2.
3.

Actual results:
(undercloud) [stack@undercloud ~]$ openstack compute service list
+----+----------------+------------------------+----------+---------+-------+----------------------------+
| ID | Binary         | Host                   | Zone     | Status  | State | Updated At                 |
+----+----------------+------------------------+----------+---------+-------+----------------------------+
|  1 | nova-cert      | undercloud.example.com | internal | enabled | down  | 2018-04-30T17:16:37.000000 |
|  2 | nova-scheduler | undercloud.example.com | internal | enabled | up    | 2018-04-30T18:33:41.000000 |
|  3 | nova-conductor | undercloud.example.com | internal | enabled | up    | 2018-04-30T18:33:44.000000 |
|  5 | nova-compute   | undercloud.example.com | nova     | enabled | up    | 2018-04-30T18:33:41.000000 |
|  1 | nova-cert      | undercloud.example.com | internal | enabled | down  | 2018-04-30T17:16:37.000000 |
|  2 | nova-scheduler | undercloud.example.com | internal | enabled | up    | 2018-04-30T18:33:41.000000 |
|  3 | nova-conductor | undercloud.example.com | internal | enabled | up    | 2018-04-30T18:33:44.000000 |
|  5 | nova-compute   | undercloud.example.com | nova     | enabled | up    | 2018-04-30T18:33:41.000000 |
+----+----------------+------------------------+----------+---------+-------+----------------------------+


Expected results:

(undercloud) [stack@undercloud ~]$ openstack compute service list
+----+----------------+------------------------+----------+---------+-------+----------------------------+
| ID | Binary         | Host                   | Zone     | Status  | State | Updated At                 |
+----+----------------+------------------------+----------+---------+-------+----------------------------+
|  2 | nova-scheduler | undercloud.example.com | internal | enabled | up    | 2018-04-30T18:33:41.000000 |
|  3 | nova-conductor | undercloud.example.com | internal | enabled | up    | 2018-04-30T18:33:44.000000 |
|  5 | nova-compute   | undercloud.example.com | nova     | enabled | up    | 2018-04-30T18:33:41.000000 |
+----+----------------+------------------------+----------+---------+-------+----------------------------


Additional info:

I can't tell for sure if duplicate entries occurred during OSP 10->11 undercloud upgrade or 11->12 upgrade.  I would need to rebuild my environment to validate.  However, once introduced (the nova-cert down and duplicate entries), this output follows thru the 12->13 undercloud upgrade as well.

Comment 1 Marios Andreou 2018-05-07 12:46:19 UTC
sofer can you please triage this (from triage call round robin)

Comment 2 Lukas Bezdicka 2018-05-21 13:00:02 UTC
Probably duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1576953

Comment 3 Lee Yarwood 2018-05-22 22:06:21 UTC
(In reply to Lukas Bezdicka from comment #2)
> Probably duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1576953

Well, the removal of nova-cert is something that should be fixed outside of the duplicate services being listed. Would that be something the Upgrades DFG would do as part of the overall framework or something the compute team should correct?

Comment 6 Carlos Camacho 2018-06-25 15:09:13 UTC
Any update for this BZ Sergii?

Thanks!

Comment 7 Ollie Walsh 2018-07-26 16:48:10 UTC
*** Bug 1593851 has been marked as a duplicate of this bug. ***

Comment 8 Ollie Walsh 2018-07-26 16:48:17 UTC
*** Bug 1608398 has been marked as a duplicate of this bug. ***

Comment 10 Jesse Pretorius 2020-08-26 10:28:28 UTC
OSP 12 is EOL from 13 Dec 2018, so this is being closed as WONTFIX.